WordPress.org

Ready to get started?Download WordPress

Forums

After Upgrade - wp-include/functions.php PROBLEM (3 posts)

  1. jolo
    Member
    Posted 9 years ago #

    After upgrading from wp1.2.2 to wp1.5, when someone tries to comment on my post, they always get this error message:

    Fatal error: Cannot redeclare add_magic_quotes() (previously declared in /home/flashgiz/public_html/postit.php:3) in /home/flashgiz/public_html/wp-includes/functions.php on line 1738

  2. Looks like you have a file in your web directory called postit.php which has defined a function with a name that WordPress also is looking to use. Remove postit.php.

  3. justinbaeder
    Member
    Posted 9 years ago #

    I had the same problem - I had renamed wp-comments-post.php in an effort to reduce comment spam, and kept my modified 1.2 template when I upgraded to 1.5. Deleting the extra file and changing the comment-posting code in index.php fixed it.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.